#include <bits/stdc++.h>

using namespace std;

const int MAX_N = 1100;

int N,L;
int visina[MAX_N];

int main()
{
    // Ulaz
    cin>>N>>L;

    for(int i=0;i<N;i++)
    {
        cin>>visina[i];
    }

    // Obrada
    int rez = -1;

    for(int i=0;i<N;i++)
    {
        if(L >= visina[i])
        {
            rez = i+1;
            break;
        }
    }

    // Izlaz
    cout<<rez;

    return 0;
}